techrar docs
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
  1. Orders
  • Customer Account
    • Registration
      • Register Customer
      • Confirm Customer Registration
    • User Authentication
      • Request OTP
      • Get Access Token
      • Refresh Access Token
    • Customer Profile
      • Profile Details
      • Wallet Details
      • Referral Details
      • Update Platform Version
      • Activate/Create FCM Token
      • FCM Token
      • Delete Customer Account
      • Update Language
      • Update Avatar
      • Update Profile
    • Customer Locations
      • List Locations
      • Location Details
      • Create Location
      • Update Location
      • Update Location Image
      • Delete Location
    • List Received Notifications
  • Items
    • List Items
    • Item Details
    • List Item Categories
    • Item Category Details
    • List Modifier Categories
    • Item Config Details
    • List Bundle Categories
  • Orders
    • List Orders
      GET
    • Order Details
      GET
    • List Recurring Purchases
      GET
    • Recurring Purchase Details
      GET
    • Recurring Purchase Details
      PATCH
  • Subscriptions
    • List Subscriptions
    • Subscription Details
    • Cancel Subscription Auto Renewal
  • Fulfillments
    • List Fulfillments
    • Fulfillment Details
    • Update Fulfillment Details
  • Payment Methods
    • List Payment Methods
    • Delete Payment Method
    • List Enabled Payment Providers
  • Checkout
    • Checkout Config Details
    • Create Cart
    • Update Cart
    • Cart Details
    • List Pickup Locations
    • List Featured Vouchers
    • Get Courier Options
    • Checkout
  • Sales Channels
    • Orders
      • List Channel Subscriptions
      • Channel Subscription Details
      • List Channel Orders
      • Channel Order Details
      • Cancel Channel Subscription
    • Meals Checkout
      • Apply Voucher
      • Redeem
      • Get Discount
      • Place Order
    • List Channel Providers
  • Utilities
    • List Supported Cities
    • Supported City Details
  1. Orders

Recurring Purchase Details

PATCH
https://api.techrar.com/order/v1/recurring-purchases/{purchase_id}/
This endpoint allows you to update a recurring purchase by passing the purchase_id as a path parameter.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH 'https://api.techrar.com/order/v1/recurring-purchases//' \
--header 'app-id: 4' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "status": "inactive"
}'
Response Response Example
{
    "id": 9,
    "custom_fields": null,
    "total_cart_price": 10.33,
    "charge_history": [
        {
            "created_at": "2025-09-07T12:24:03.785063+03:00",
            "status": "success",
            "order_id": 449,
            "amount": "9.30",
            "error_message": null
        }
    ],
    "orders": [
        {
            "id": 449,
            "total_amount": 9.3,
            "status": "completed",
            "payment_provider": "myfatoorah",
            "payment_method": "visa_master",
            "created_at": "2025-09-07T09:23:12.308555Z"
        }
    ],
    "app_id": 86,
    "created_at": "2025-09-07T12:23:49.274430+03:00",
    "cart_provider": "other",
    "duration": 1,
    "duration_unit": "day",
    "status": "active",
    "next_order_date": "2025-09-08T00:00:00+03:00",
    "last_order_date": "2025-09-07T12:24:03.762613+03:00",
    "last_charge_date": "2025-09-07T12:24:03.762619+03:00",
    "charge_attempts": 0
}
Modified at 2025-09-07 09:35:49
Previous
Recurring Purchase Details
Next
Subscriptions
Built with